[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ColRowInserted

Performs actions needed when column or row data is inserted into the grid control.

## Declaration

Source position: grids.pas line 1005

`protected procedure TCustomGrid.ColRowInserted(`
`IsColumn: Boolean;`
`index: Integer`
`); virtual;`

## Arguments

`IsColumn` |  | True if the operation inserted a column. False when a row was inserted.
`index` |  | Ordinal position for the column or row inserted into the grid control.

## Description

ColRowInserted is a virtual method in TCustomGrid used to perform actions needed when a column or row is inserted into a grid control. The implementation is empty in TCustomGrid, and must be overridden in descendent classes.

The method is called from DoOPInsertColRow and occurs after the Columns definitions for the grid have been updated (when needed and enabled). It occurs before VisualChange is called or the bounds for an editor control are adjusted.

## See also

TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.DoOPInsertColRow |  | Performs an insert operation for a column or a row at the specified position.
TCustomDrawGrid.ColRowInserted |  | Performs actions needed when a column or row is inserted at the specified position in the grid control.
TCustomDrawGrid.OnColRowInserted |  | Event handler signalled when a column or row is inserted into the grid.